Module javafx.graphics
Package javafx.animation

## Class PauseTransition

- java.lang.Object
- - javafx.animation.Animation
  - - javafx.animation.Transition
    - - javafx.animation.PauseTransition

-     public final class PauseTransition
      extends Transition

  This `Transition` executes an `Animation.onFinished` at the end of its `duration`.

  Code Segment Example:

       import javafx.scene.shape.*;
       import javafx.animation.*;

       ...

           Rectangle rect = new Rectangle (100, 40, 100, 100);
           rect.setArcHeight(50);
           rect.setArcWidth(50);
           rect.setFill(Color.VIOLET);

           RotateTransition rt = new RotateTransition(Duration.millis(3000), rect);
           rt.setByAngle(180);
           rt.setCycleCount(4f);
           rt.setAutoReverse(true);
           SequentialTransition seqTransition = new SequentialTransition (
               new PauseTransition(Duration.millis(1000)), // wait a second
               rt
           );
           seqTransition.play();

       ...

  Since:
    JavaFX 2.0
  See Also:
    `Transition`, `Animation`

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `ObjectProperty<Duration>` | `duration` | The duration of this `Transition`.

    - ### Properties inherited from class javafx.animation.Transition

      `interpolator`

    - ### Properties inherited from class javafx.animation.Animation

      `autoReverse, currentRate, currentTime, cycleCount, cycleDuration, delay, onFinished, rate, status, totalDuration`

  - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javafx.animation.Animation

      `Animation.Status`

  - ### Field Summary

    - ### Fields inherited from class javafx.animation.Animation

      `INDEFINITE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PauseTransition()` | The constructor of `PauseTransition`
    `PauseTransition​(Duration duration)` | The constructor of `PauseTransition`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObjectProperty<Duration>` | `durationProperty()` | The duration of this `Transition`.
    `Duration` | `getDuration()` | Gets the value of the property duration.
    `void` | `interpolate​(double frac)` | The method `interpolate()` has to be provided by implementations of `Transition`.
    `void` | `setDuration​(Duration value)` | Sets the value of the property duration.

    - ### Methods inherited from class javafx.animation.Transition

      `getCachedInterpolator, getInterpolator, getParentTargetNode, interpolatorProperty, setInterpolator`

    - ### Methods inherited from class javafx.animation.Animation

      `autoReverseProperty, currentRateProperty, currentTimeProperty, cycleCountProperty, cycleDurationProperty, delayProperty, getCuePoints, getCurrentRate, getCurrentTime, getCycleCount, getCycleDuration, getDelay, getOnFinished, getRate, getStatus, getTargetFramerate, getTotalDuration, isAutoReverse, jumpTo, jumpTo, onFinishedProperty, pause, play, playFrom, playFrom, playFromStart, rateProperty, setAutoReverse, setCycleCount, setCycleDuration, setDelay, setOnFinished, setRate, setStatus, statusProperty, stop, totalDurationProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### duration

          public final ObjectProperty<Duration> durationProperty

      The duration of this `Transition`.

      It is not possible to change the `duration` of a running `PauseTransition`. If the value of `duration` is changed for a running `PauseTransition`, the animation has to be stopped and started again to pick up the new value.

      Note: While the unit of `duration` is a millisecond, the granularity depends on the underlying operating system and will in general be larger. For example animations on desktop systems usually run with a maximum of 60fps which gives a granularity of ~17 ms. Setting duration to value lower than `Duration.ZERO` will result in `IllegalArgumentException`.

      Default value:
        400ms
      See Also:
        `getDuration()`, `setDuration(Duration)`

  - ### Constructor Detail

    - #### PauseTransition

          public PauseTransition​(Duration duration)

      The constructor of `PauseTransition`.
      Parameters:
        `duration` - The duration of the `PauseTransition`

    - #### PauseTransition

          public PauseTransition()

      The constructor of `PauseTransition`

  - ### Method Detail

    - #### setDuration

          public final void setDuration​(Duration value)

      Sets the value of the property duration.
      Property description:
        The duration of this `Transition`.

        It is not possible to change the `duration` of a running `PauseTransition`. If the value of `duration` is changed for a running `PauseTransition`, the animation has to be stopped and started again to pick up the new value.

        Note: While the unit of `duration` is a millisecond, the granularity depends on the underlying operating system and will in general be larger. For example animations on desktop systems usually run with a maximum of 60fps which gives a granularity of ~17 ms. Setting duration to value lower than `Duration.ZERO` will result in `IllegalArgumentException`.

      Default value:
        400ms

    - #### getDuration

          public final Duration getDuration()

      Gets the value of the property duration.
      Property description:
        The duration of this `Transition`.

        It is not possible to change the `duration` of a running `PauseTransition`. If the value of `duration` is changed for a running `PauseTransition`, the animation has to be stopped and started again to pick up the new value.

        Note: While the unit of `duration` is a millisecond, the granularity depends on the underlying operating system and will in general be larger. For example animations on desktop systems usually run with a maximum of 60fps which gives a granularity of ~17 ms. Setting duration to value lower than `Duration.ZERO` will result in `IllegalArgumentException`.

      Default value:
        400ms

    - #### durationProperty

          public final ObjectProperty<Duration> durationProperty()

      The duration of this `Transition`.

      It is not possible to change the `duration` of a running `PauseTransition`. If the value of `duration` is changed for a running `PauseTransition`, the animation has to be stopped and started again to pick up the new value.

      Note: While the unit of `duration` is a millisecond, the granularity depends on the underlying operating system and will in general be larger. For example animations on desktop systems usually run with a maximum of 60fps which gives a granularity of ~17 ms. Setting duration to value lower than `Duration.ZERO` will result in `IllegalArgumentException`.

      Default value:
        400ms
      See Also:
        `getDuration()`, `setDuration(Duration)`

    - #### interpolate

          public void interpolate​(double frac)

      The method `interpolate()` has to be provided by implementations of `Transition`. While a `Transition` is running, this method is called in every frame. The parameter defines the current position with the animation. At the start, the fraction will be `0.0` and at the end it will be `1.0`. How the parameter increases, depends on the `interpolator`, e.g. if the `interpolator` is `Interpolator.LINEAR`, the fraction will increase linear. This method must not be called by the user directly.
      Specified by:
        `interpolate` in class `Transition`
      Parameters:
        `frac` - The relative position